ArrayWritable (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class ArrayWritable

    java.lang.Object
      org.apache.hadoop.io.ArrayWritable

All Implemented Interfaces:
  Writable

    public class ArrayWritable

extends Object
implements Writable

A Writable for arrays containing instances of a class. The elements of this writable must all be instances of the same class. If this writable will be the input for a Reducer, you will need to create a subclass that sets the value to be of the proper type. For example: `public class IntArrayWritable extends ArrayWritable { public IntArrayWritable() { super(IntWritable.class); } }`

Constructor Summary
`ArrayWritable(Class<? extends Writable> valueClass)`
`ArrayWritable(Class<? extends Writable> valueClass, Writable[] values)`
`ArrayWritable(String[] strings)`

Method Summary
`Writable[]` | `get()`
`Class` | `getValueClass()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `set(Writable[] values)`
`Object` | `toArray()`
`String[]` | `toStrings()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayWritable

    public ArrayWritable(Class<? extends Writable> valueClass)

### ArrayWritable

    public ArrayWritable(Class<? extends Writable> valueClass,
                         Writable[] values)

### ArrayWritable

    public ArrayWritable(String[] strings)

Method Detail

### getValueClass

    public Class getValueClass()

### toStrings

    public String[] toStrings()

### toArray

    public Object toArray()

### set

    public void set(Writable[] values)

### get

    public Writable[] get()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation